| The Gaudi Framework v32r1 (f65d50dc)

List of all members
GaudiPython.GaudiAlgs.TupleAlgo Class Reference
Inheritance diagram for GaudiPython.GaudiAlgs.TupleAlgo:
[legend]
Collaboration diagram for GaudiPython.GaudiAlgs.TupleAlgo:
[legend]

## Additional Inherited Members
Public Member Functions inherited from GaudiPython.Bindings.iAlgorithm
def | __init__ (self, name, ialg=None)
def | retrieveInterface (self)
def | initialize (self)
def | start (self)
def | execute (self)
def | stop (self)
def | finalize (self)
def | reinitialize (self)
def | restart (self)
def | sysInitialize (self)
def | sysStart (self)
def | sysExecute (self)
def | sysStop (self)
def | sysFinalize (self)
def | sysReinitialize (self)
def | sysRestart (self)
Public Member Functions inherited from GaudiPython.Bindings.iProperty
def | getInterface (self)
def | __call_interface_method__ (self, ifname, method, *args)
def | __setattr__ (self, name, value)
def | __getattr__ (self, name)
def | properties (self)
def | name (self)

## Detailed Description

    *******************************************************************************
    *                                                * 'Physisics do not like it, *
    *                                                *  physisics do not need it, *
    *                                                *  physisics do not use  it' *
    *                                                * ****************************
    *  Usage:                                                                     *
    *                                                                             *
    *  from GaudiPython.GaudiAlgs import TupleAlgo, SUCCESS                       *
    *                                                                             *
    *  class MyClass(TupleAlgo) :                                                 *
    *       ' My specific Algorithm, derived from TupleAlgo base class '          *
    *       def __init__( self , name , **args ) :                                *
    *            'Constructor from algorithm instance name & parameters'          *
    *             #invoke the constructor of base class                           *
    *             TupleAlgo.__init__(self , name , **args )                       *
    *                                                                             *
    *       def execute ( self ) :                                                *
    *            'Major method (from IAlgorithm interface)'                       *
    *                                                                             *
    *           # get some data from Transient Event Store                        *
    *           tracks = self.get('/Event/Rec/Tracks')                            *
    *                                                                             *
    *           tup = self.nTuple('My N-Tuple')                                   *
    *                                                                             *
    *           for track in tracks :                                             *
    *                                                                             *
    *                 pt   = track.pt   ()                                        *
    *                 p    = track.p    ()                                        *
    *                 chi2 = track.chi2 ()                                        *
    *                                                                             *
    *                 #fill N-tuple:                                              *
    *                 tup.column ( 'pt'   ,  pt   )                               *
    *                 tup.column ( 'p'    ,  p    )                               *
    *                 tup.column ( 'chi2' ,  chi2 )                               *
    *                 #commit the row                                             *
    *                 tup.write  ()                                               *
    *                                                                             *
    *           return SUCCESS                                                    *
    *                                                                             *
    *******************************************************************************

Definition at line 863 of file GaudiAlgs.py.

The documentation for this class was generated from the following file:

- GaudiPython/python/GaudiPython/GaudiAlgs.py